Bug 733349 - Log not clear enough on schema errors
Summary: Log not clear enough on schema errors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 690319
TreeView+ depends on / blocked
 
Reported: 2011-08-25 14:29 UTC by Simo Sorce
Modified: 2015-12-10 18:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-10 18:41:06 UTC


Attachments (Terms of Use)

Description Simo Sorce 2011-08-25 14:29:17 UTC
When a schema file has an error, the log file is not clear enough and may give the impression the error is in dse.ldif

Example:
[25/Aug/2011:09:53:47 -0400] dse - parsing dse entry [attributeTypes]
[25/Aug/2011:09:53:47 -0400] dse - Please edit the file to correct the reported problems and then restart the server.


Expected behaviour:
The server specifies in which file (and possible line number) the error was encountered.

Comment 3 Martin Kosek 2012-01-04 13:22:05 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/35

Comment 4 Noriko Hosoi 2012-01-25 23:09:55 UTC
Sample error log:
[] - str2entry_dupcheck: entry has no dn
[] dse_read_one_file - Parsing entry (lineno: 19) in file /etc/dirsrv/slapd-ID/schema/03bad.ldif failed.
[] dse_read_one_file - Invalid section [attributeTypes: ( 2.16.840.1.113730.3.1.34 NAME 'ref' DESC 'LDAP referrals attribute type' SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 X-ORIGIN 'LDAPv3 referrals Internet Draft' )
attributeTypes: ( 2.16.840.1.113730.3.1.36 NAME 'nsLicensedFor' DESC 'Netscape def ...]
[] dse - Please edit the file to correct the reported problems and then restart the server.


Note You need to log in before you can comment on or make changes to this bug.